For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.
Read Gate Rules
Reference for the GET /console/v1/gates/{id}/rules API endpoint.
get
https://statsigapi.net/console/v1/gates/{id}/rulesAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredid
Response
application/json200· Get gate rules response
messagestringrequiredA simple string explaining the result of the operation.
dataobject[]requiredShow child attributes
rulesobject[]requiredGate Rules
paginationobjectrequiredPagination metadata for checking if there is next page for example.
Show child attributes
itemsPerPagenumberrequiredConstraints:
format: doublepageNumbernumberrequiredConstraints:
format: doublenextPagestringrequiredConstraints:
nullablepreviousPagestringrequiredConstraints:
nullabletotalItemsnumberConstraints:
format: doubleallstringWas this helpful?